org.apache.xerces.impl.xpath

## Class XPath.Step

- java.lang.Object
- - org.apache.xerces.impl.xpath.XPath.Step

All Implemented Interfaces:
  java.lang.Cloneable

Enclosing class:
  XPath

    public static class XPath.Step
    extends java.lang.Object
    implements java.lang.Cloneable

A location path step comprised of an axis and node test.

Author:
  Andy Clark, IBM

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

### Field Summary

Fields
`XPath.Axis` `axis` Axis.
`XPath.NodeTest` `nodeTest` Node test.

### Constructor Summary

Constructors
`` `Step(XPath.Axis axis, XPath.NodeTest nodeTest)` Constructs a step from an axis and node test.
`protected` `Step(XPath.Step step)` Copy constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `clone()` Returns a clone of this object.
`java.lang.String` `toString()` Returns a string representation of this object.

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### axis

    public final XPath.Axis axis

Axis.

#### nodeTest

    public final XPath.NodeTest nodeTest

Node test.

### Constructor Detail

#### Step

    public Step(XPath.Axis axis,
                XPath.NodeTest nodeTest)

Constructs a step from an axis and node test.

#### Step

    protected Step(XPath.Step step)

Copy constructor.

### Method Detail

#### toString

    public java.lang.String toString()

Returns a string representation of this object.

Overrides:
  `toString` in class `java.lang.Object`

#### clone

    public java.lang.Object clone()

Returns a clone of this object.

Overrides:
  `clone` in class `java.lang.Object`